image: ubuntu:latest
stages:
    - deploy
  
deploy:
    stage: deploy
    only:
        - master
    before_script:
        - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
        - mkdir -p ~/.ssh
        - eval $(ssh-agent -s)
        - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
    script:
        - ssh-add <(echo "$SSH_DEPLOY_PRIVATE_KEY")
        - ssh -o StrictHostKeyChecking=no deployrelay@chemnitz.social 'deploy'
